com.taosdata.jdbc.ws.tmq.entity

## Class FetchBlockResp

- java.lang.Object
- - com.taosdata.jdbc.ws.entity.Response
  - - com.taosdata.jdbc.ws.tmq.entity.FetchBlockResp

    public class FetchBlockResp
    extends Response

### Constructor Summary

Constructors
Constructor and Description
`FetchBlockResp(long id, ByteBuffer buffer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`ByteBuffer` `getBuffer()`
`void` `setBuffer(ByteBuffer buffer)`

### Methods inherited from class com.taosdata.jdbc.ws.entity.Response

`getAction, getReqId, setAction, setReqId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FetchBlockResp

    public FetchBlockResp(long id,
                          ByteBuffer buffer)

### Method Detail

#### getBuffer

    public ByteBuffer getBuffer()

#### setBuffer

    public void setBuffer(ByteBuffer buffer)